/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 * 
 */

/**
  * Defines the <b>common model objects</b> used, primarily <b>sequences</b> and 
  * various general implementations used in the different evaluations. <p>
  *  
  * <a name="uml"></a><b>UML Class Diagram</b>:<br>
  * <img src="doc-files/Model.png" border="0"><p>
  * 
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a> 
  */
package dk.rode.thesis.meta.model;
